GET
/
InvoiceEntriesDetailed
Invoice and financial reports
curl --request GET \
  --url https://reporting-dev.cteleport.com/v2/odata/InvoiceEntriesDetailed \
  --header 'Authorization: Basic <encoded-value>'
{
  "@odata.context": "<string>",
  "value": [
    {
      "InvoiceId": 123,
      "TenantId": "<string>",
      "InvoiceeName": "<string>",
      "InvoiceNumber": "<string>",
      "Locator": "<string>",
      "State": "<string>",
      "TotalInvoiceAmount": 123,
      "TotalVatAmount": 123,
      "PaymentMethodFee": 123,
      "InvoiceCurrency": "<string>",
      "DueDate": "2023-11-07T05:31:56Z",
      "PaymentMethod": "<string>",
      "IsReissued": true,
      "ReceivedAt": "2023-11-07T05:31:56Z",
      "ReceivedBy": "<string>",
      "VesselName": "<string>",
      "CreatedAt": "2023-11-07T05:31:56Z",
      "InvoiceItemId": 123,
      "ItemType": "<string>",
      "ReferenceNumber": "<string>",
      "ItemCurrency": "<string>",
      "ItemAmount": 123,
      "ItemVatAmount": 123,
      "ItemReferenceDate": "2023-11-07T05:31:56Z",
      "CreatedBy": "<string>",
      "TravelerName": "<string>",
      "DepartureDate": "2023-11-07T05:31:56Z",
      "Route": "<string>",
      "BookingComment": "<string>",
      "OriginalTicket": "<string>",
      "HotelName": "<string>",
      "HotelAddress": "<string>",
      "HotelCheckInDate": "2023-11-07T05:31:56Z",
      "HotelCheckOutDate": "2023-11-07T05:31:56Z",
      "HotelPayAtCheckOut": true,
      "Description": "<string>",
      "Cashback": 123,
      "CustomFieldsMap": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using reporting credentials provided by C Teleport. Username and password are issued per-customer — contact api@cteleport.com to obtain yours.

Query Parameters

$filter
string

OData filter expression. Examples:

  • bookingDate gt 2026-01-01
  • status eq 'confirmed'
  • carrier eq 'KL' and departureDate gt 2026-01-01
$select
string

Comma-separated list of fields to include in the response.

$orderby
string

OData ordering expression. Examples:

  • bookingDate desc
  • totalCost asc
$top
integer

Maximum number of records to return (default varies by endpoint).

$skip
integer

Number of records to skip for pagination.

$count
boolean

Set to true to include total record count in the response.

Response

Invoice entry reporting data.

@odata.context
string

OData metadata context URL.

value
object[]